#include <TurtleDriver.h>
#include <TurtleLineHunter.h>

TurtleDriver turtleDriver(4, 5, 7, 8, 3, 6);
TurtleLineHunter turtleLineHunter(10, 11, 12);
float speed = 0.4;


void setup()
 { turtleDriver.setup();
   turtleLineHunter.setup();
  
   Serial.begin(9600); // set the baud rate is 9600kbps
 }

void loop()
 { bool foundLine;
   int pos = turtleLineHunter.readPos(foundLine);
   if (!foundLine)
    { turtleDriver.setWheelSpeed(0.0, 0.0);
      delay(1000);
      return;
    }

   if (pos == -2)
    { turtleDriver.setWheelSpeed(0.0 * speed, 1.0 * speed);
    }
   else if (pos == -1)
    { turtleDriver.setWheelSpeed(0.7 * speed, 1.0 * speed);
    }
   else if (pos == 0)
    { turtleDriver.setWheelSpeed(1.0 * speed, 1.0 * speed);
    }
   else if (pos == +1)
    { turtleDriver.setWheelSpeed(1.0 * speed, 0.7 * speed);
    }
   else if (pos == +2)
    { turtleDriver.setWheelSpeed(1.0 * speed, 0.0 * speed);
    }
 }
