#ifndef TURTLELINEHUNTER_H
#define TURTLELINEHUNTER_H

class TurtleLineHunter
 { public:
      TurtleLineHunter(int leftPin, int centrePin, int rightPin);
      void setup() const;
      int readBits() const;
      int readPos(bool &foundLine) const;

   private:
      const int leftPin; // connected to sensor nearest left wheel
      const int centrePin; // connected to sensor in middle
      const int rightPin; // connected to sensor nearest right wheel
 };

#endif //TURTLELINEHUNTER_H